#	Function: AC_DW_LHAPDF()
# 	In: LHAPDF_CONFIG_PATH
#	Out: LIB_LHAPDF,INC_LHAPDF,LDD_LHAPDF,LHAPDF_PDF_DIR
AC_DEFUN([AC_DW_LHAPDF],[
	AC_MSG_NOTICE([checking for LHAPDF])
	#test if LHAPDF_CONFIG_PATH given by user
	if test -z $LHAPDF_CONFIG_PATH; then
		AC_MSG_NOTICE([LHAPDF_CONFIG_PATH not specified -> try PATH])
		LHAPDF_CONFIG_PATH=$PATH
	fi
	AC_MSG_NOTICE([LHAPDF_CONFIG_PATH = $LHAPDF_CONFIG_PATH])
	#test if LHAPDF_CONFIG_PATH/lhapdf-config exists and set LHAPDF_CONFIG
 	AC_PATH_PROG(LHAPDF_CONFIG, lhapdf-config, [], [$LHAPDF_CONFIG_PATH])
	AC_MSG_NOTICE([lhapdf-config = $LHAPDF_CONFIG])
	#test if lhapdf-config is executable
	if test -x "$LHAPDF_CONFIG"; then
		#lhapdf-config is executable -> set flags
		AC_SUBST([LIB_LHAPDF],`$LHAPDF_CONFIG --ldflags`)
		AC_SUBST([INC_LHAPDF],`$LHAPDF_CONFIG --cppflags`)
		AC_SUBST([LDD_LHAPDF],["-Xlinker -R`$LHAPDF_CONFIG --libdir`"])
		AC_MSG_NOTICE([    INC_LHAPDF = $INC_LHAPDF])
		AC_MSG_NOTICE([    LIB_LHAPDF = $LIB_LHAPDF])
		AC_MSG_NOTICE([    LDD_LHAPDF = $LDD_LHAPDF])
		############################
		if test -z $LHAPDF_PDF_DIR;then
			LHAPDF_PDF_DIR="`$LHAPDF_CONFIG --datadir`/PDFsets"
		fi
		AC_MSG_NOTICE([LHAPDF_PDF_DIR = $LHAPDF_PDF_DIR])
		AC_DEFINE_UNQUOTED([LHAPDF_PDF_DIR],["$LHAPDF_PDF_DIR"],[Path to the directory containing the PDF set data files])
	else
		#LHAPDF-config is NOT executable
		AC_MSG_ERROR([Cannot find LHAPDF library. Please set "LHAPDF_CONFIG_PATH" or install LHAPDF in common directorys.])
	fi
])
