#ifndef TEST_CONVOLUTIONS_H_
#define TEST_CONVOLUTIONS_H_

#include "APSF_Convolution.h"

#include <cmath>
#include "vecmath.h"

namespace CuTe{
namespace NS_Convolutions{

static const int NFMAX(_Convolution_Interface::NFMAX);

	Vector<2*NFMAX+1,double>& operator<<(Vector<2*NFMAX+1,double> &V, const _Convolution_Interface &CI){
		for(int i=0; i<2*NFMAX+1; ++i){
			if(abs(i-NFMAX)<=CI.get_nf()){
				V[i] = CI.get_fxi(i-NFMAX);
			}else{
				V[i] = 0.;
			}
		}
		return V;
	}

using std::pow;

static double testfunction_same(double z, int i, void *p){
	return pow(z,2)*pow(1.-z,2);
}

static double testfunction_diff(double z, int i, void *p){
	return pow(z,NFMAX+i)*pow(1.-z,NFMAX-i);
}

template< int f >
static double testfunction_only(double z, int i, void *p){
	if(i!=f) return 0.;
	return pow(z,NFMAX+i)*pow(1.-z,NFMAX-i);
}

}	// NS_Convolutions
}  // namespace CuTe

#endif //TEST_CONVOLUTIONS_H_
